Summary: OpenSSH free Secure Shell (SSH) implementation
Name: openssh
Version: 2.9p1
Release: 1a
URL: http://www.openssh.com/portable.html
Source0: ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-%{version}.tar.gz
Source1: localhost:/SSH
Source2: localhost:/StartupParameters.plist
Copyright: BSD
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Exclusiveos: darwin

%package clients
Summary: OpenSSH Secure Shell protocol clients
Requires: openssh = %{version}-%{release}
Group: Applications/Internet

%package server
Summary: OpenSSH Secure Shell protocol server (sshd)
Group: System Environment/Daemons
PreReq: openssh = %{version}-%{release}

%description
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to separate libraries (OpenSSL).

This package includes the core files necessary for both the OpenSSH
client and server.  To make this package useful, you should also
install openssh-clients, openssh-server, or both.

%description clients
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to separate libraries (OpenSSL).

This package includes the clients necessary to make encrypted connections
to SSH servers.

%description server
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to separate libraries (OpenSSL).

This package contains the secure shell daemon. The sshd is the server 
part of the secure shell protocol and allows ssh clients to connect to 
your host.

%prep
%setup -q

%build
./configure \
	--with-tcp-wrappers \
	--without-rsh \
	--prefix=/usr \
	--mandir=/usr/share/man \
	--sysconfdir=/private/etc \
	--libexecdir=/usr/libexec
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m755 $RPM_BUILD_ROOT/private/etc/ssh
mkdir -p -m755 $RPM_BUILD_ROOT/usr/libexec
mkdir -p -m755 $RPM_BUILD_ROOT/System/Library/StartupItems/SSH
make install DESTDIR=$RPM_BUILD_ROOT

install -m555 -c $RPM_SOURCE_DIR/SSH $RPM_BUILD_ROOT/System/Library/StartupItems/SSH/
install -m444 -c $RPM_SOURCE_DIR/StartupParameters.plist $RPM_BUILD_ROOT/System/Library/StartupItems/SSH/

perl -pi -e "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT/usr/share/man/man*/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel)
%doc CREDITS ChangeLog INSTALL LICENCE OVERVIEW README* RFC* TODO WARNING*
%attr(0755,root,wheel) /usr/bin/scp
%attr(0644,root,wheel) /usr/share/man/man1/scp.1*
%attr(0600,root,wheel) %config(noreplace) /private/etc/primes
%attr(0755,root,wheel) /usr/bin/ssh-keygen
%attr(0644,root,wheel) /usr/share/man/man1/ssh-keygen.1*

%files clients
%defattr(-,root,wheel)
%attr(4755,root,wheel) /usr/bin/ssh
%attr(0644,root,wheel) /usr/share/man/man1/ssh.1*
%attr(0644,root,wheel) %config(noreplace) /private/etc/ssh_config
%attr(-,root,wheel) /usr/bin/slogin
%attr(-,root,wheel) /usr/share/man/man1/slogin.1*
%attr(0755,root,wheel) /usr/bin/ssh-agent
%attr(0755,root,wheel) /usr/bin/ssh-add
%attr(0755,root,wheel) /usr/bin/ssh-keyscan
%attr(0755,root,wheel) /usr/bin/sftp
%attr(0644,root,wheel) /usr/share/man/man1/ssh-agent.1*
%attr(0644,root,wheel) /usr/share/man/man1/ssh-add.1*
%attr(0644,root,wheel) /usr/share/man/man1/ssh-keyscan.1*
%attr(0644,root,wheel) /usr/share/man/man1/sftp.1*

%files server
%defattr(-,root,wheel)
%attr(0755,root,wheel) /usr/sbin/sshd
%attr(0755,root,wheel) /usr/libexec/sftp-server
%attr(0644,root,wheel) /usr/share/man/man8/sshd.8*
%attr(0644,root,wheel) /usr/share/man/man8/sftp-server.8*
%attr(0600,root,wheel) %config(noreplace) /private/etc/sshd_config
%attr(0755,root,wheel) %dir /System/Library/StartupItems/SSH
%attr(0555,root,wheel) /System/Library/StartupItems/SSH/SSH
%attr(0444,root,wheel) /System/Library/StartupItems/SSH/StartupParameters.plist

%changelog
* Mon May  7 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build on MacOS X Release 10.0.02
- This is only for darwin
